Data Structures

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Here are the data structures with brief descriptions:
[detail level 12]

alaste |
albase |
alstru |
atchem |
atincl |
atsoil |
categorie_sol |
soil_tab |
variables_sol |
cfpoin |
coincl |
const_node_t | Constants node
cpincl |
cplsat |
cs_block_dist_info_t |
cs_boundary_t |
cs_c_bindings |
log_iteration | Log field and other array statistics for a given time step
var_cal_opt |
cs_coal_incl |
cs_ctwr_air_props_t |
cs_ctwr_fluid_props_t |
cs_f_interfaces |
diften |
ecrhis |
itrgrv |
itrmav |
post_boundary_nusselt |
post_boundary_temperature |
post_boundary_thermal_flux |
post_efforts |
turrij |
vistnv |
vitens |
cs_field_bc_coeffs_t | Field boundary condition descriptor (for variables)
cs_field_pointer_array_t |
cs_field_pointer_val_t |
cs_field_t | Field descriptor
cs_fuel_incl |
cs_halo_t |
cs_interpol_grid_t |
cs_io_sec_header_t |
cs_join_param_t |
cs_label_t |
cs_lagr_aux_particle_t |
cs_lagr_clog_param_t |
cs_lagr_particle_set_t |
cs_lagr_particle_t |
cs_measures_set_t |
cs_mesh_builder_t |
cs_mesh_quantities_t |
cs_mesh_t |
cs_meteo_t |
cs_numbering_t |
cs_opts_t |
cs_time_step_t | Time step descriptor
cs_timer_counter_t |
cs_timer_t |
cs_val_t |
cs_var_cal_opt_t |
cs_var_t |
cstnum |
cstphy |
ctincl |
data_t | Type definition for data of each element contained in the hash table
dimens |
elincl |
entsor |
field |
field_allocate_or_map_all | Allocate arrays for all defined fields based on their location
field_set_key_double | Assign a floating point value for a given key to a field
field_set_key_int | Assign a floating point value for a given key to a field
field_operator |
field_gradient_potential | Compute cell gradient of potential field
field_gradient_scalar | Compute cell gradient of scalar field or component of vector or tensor field
field_gradient_vector | Compute cell gradient of vector field
func2_node_t | Function with two arguments node
func_node_t | Function with single argument node
fvm_box_set_t |
fvm_morton_code_t |
fvm_nodal_section_t |
fvm_nodal_t |
fvm_to_ensight_case_file_info_t |
fvm_writer_format_t |
fvm_writer_section_t |
fvm_writer_t |
hash_table_t | Structure defining a hash table
id_node_t | Identifiers node
ihmpre |
interp1d_node_t | Function of interpolation 1D
item | Type definition for each record of the hash table
lagdim |
lagpar |
lagran |
mei_node_t | General node definition
mei_tree_t | Structure defining an interpreter for a mathematical expression
mei_user_data_t | Structure associated to a single user data set for 1D interpolation
mesh |
mltgrd |
node_type_t | Type of a node
numvar |
opr_node_t | Operators node
optcal |
parall |
paramx |
period |
pointe |
pmapper_double_r1 | Container for rank 1 double precision array pointer
pmapper_double_r2 | Container for rank 2 double precision array pointer
pmapper_double_r3 | Container for rank 3 double precision array pointer
post |
cs_post_init_moments | Initialize post-processing of moments
cs_post_set_deformable | Configure the post-processing output so that a mesh displacement field may be output automatically
cs_post_write_meshes | Output post-processing meshes using associated writers
cs_user_postprocess_activate | User override of default frequency or calculation end based output
post_activate_by_time_step | Update "active" or "inactive" flag of writers based on the time step
ppcpfu |
ppincl |
ppppar |
ppthch |
ptrglo |
radiat |
siream |
spefun |
turbomachinery |
map_turbomachinery_module |
turbomachinery_reinit_i_face_fields |
turbomachinery_resize_cell_fields |
turbomachinery_update_mesh |
user_module |
vorinc |